Package org.apache.sling.junit.scriptable

## Class ScriptableTestsProvider

- java.lang.Object
- - org.apache.sling.junit.scriptable.ScriptableTestsProvider

All Implemented Interfaces:
  `org.apache.sling.junit.TestsProvider`

    public class ScriptableTestsProvider
    extends Object
    implements org.apache.sling.junit.TestsProvider

TestsProvider that provides test classes for repository nodes that have a sling:Test mixin.

### Field Summary

Fields
`static String` `SLING_TEST_NODETYPE`
`static String` `TEST_CLASS_NAME`

### Constructor Summary

Constructors
`ScriptableTestsProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate​(Map<String,​Object> props)`
`Class<?>` `createTestClass​(String testName)`
`protected void` `deactivate()`
`String` `getServicePid()`
`List<String>` `getTestNames()`
`long` `lastModified()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SLING_TEST_NODETYPE

    public static final String SLING_TEST_NODETYPE

See Also:
  Constant Field Values

#### TEST_CLASS_NAME

    public static final String TEST_CLASS_NAME

### Constructor Detail

#### ScriptableTestsProvider

    public ScriptableTestsProvider()

### Method Detail

#### activate

    protected void activate​(Map<String,​Object> props)
                     throws Exception

Throws:
  `Exception`

#### deactivate

    protected void deactivate()
                       throws javax.jcr.RepositoryException

Throws:
  `javax.jcr.RepositoryException`

#### createTestClass

    public Class<?> createTestClass​(String testName)
                             throws ClassNotFoundException

Specified by:
  `createTestClass` in interface `org.apache.sling.junit.TestsProvider`
Throws:
  `ClassNotFoundException`

#### getServicePid

    public String getServicePid()

Specified by:
  `getServicePid` in interface `org.apache.sling.junit.TestsProvider`

#### getTestNames

    public List<String> getTestNames()

Specified by:
  `getTestNames` in interface `org.apache.sling.junit.TestsProvider`

#### lastModified

    public long lastModified()

Specified by:
  `lastModified` in interface `org.apache.sling.junit.TestsProvider`